Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 634976

Summary: <dev-vcs/tortoisehg-4.4.1 - depends on deprecated dev-python/qscintilla-python[qt4] (cleanup old)
Product: Gentoo Linux Reporter: Andreas Sturmlechner <asturm>
Component: Current packagesAssignee: Lars Wendler (Polynomial-C) <polynomial-c>
Status: RESOLVED FIXED    
Severity: normal CC: orzel
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 642490    
Bug Blocks: 634970    
Attachments: tortoisehg-9999.ebuild.patch

Description Andreas Sturmlechner gentoo-dev 2017-10-21 11:03:18 UTC
(Py)Qt4 is dead and going away.

It seems like master branch has support for PyQt5.
Comment 1 Andreas Sturmlechner gentoo-dev 2017-10-30 01:05:19 UTC
Created attachment 500962 [details, diff]
tortoisehg-9999.ebuild.patch
Comment 2 Larry the Git Cow gentoo-dev 2017-10-30 21:43:31 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=22f6503954653a2bccdec387b02fa052d3192923

commit 22f6503954653a2bccdec387b02fa052d3192923
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2017-10-29 17:16:59 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2017-10-30 21:42:49 +0000

    dev-vcs/tortoisehg: Switch to PyQt5
    
    Closes: https://bugs.gentoo.org/634976
    Package-Manager: Portage-2.3.13, Repoman-2.3.4

 dev-vcs/tortoisehg/tortoisehg-9999.ebuild | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)
Comment 3 Larry the Git Cow gentoo-dev 2017-12-09 23:52:35 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b87dec3c2c5646b2690bb5c82f4f5736f29c5d01

commit b87dec3c2c5646b2690bb5c82f4f5736f29c5d01
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2017-12-09 23:33:44 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2017-12-09 23:51:59 +0000

    dev-vcs/tortoisehg: Switch to Qt5
    
    Bug: https://bugs.gentoo.org/634976
    Package-Manager: Portage-2.3.17, Repoman-2.3.6

 dev-vcs/tortoisehg/tortoisehg-4.4.1-r1.ebuild | 79 +++++++++++++++++++++++++++
 1 file changed, 79 insertions(+)}
Comment 4 Larry the Git Cow gentoo-dev 2018-01-09 10:19:57 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=89cd773b7f20f7b9f5adede49511787692260d7d

commit 89cd773b7f20f7b9f5adede49511787692260d7d
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-01-09 10:19:42 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-01-09 10:19:42 +0000

    dev-vcs/tortoisehg: Drop 4.3.1
    
    Closes: https://bugs.gentoo.org/634976
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-vcs/tortoisehg/Manifest                |  1 -
 dev-vcs/tortoisehg/tortoisehg-4.3.1.ebuild | 80 ------------------------------
 2 files changed, 81 deletions(-)